#!/bin/sh

set -e

LIST="kismet_cap_antsdr_droneid kismet_cap_freaklabs_zigbee kismet_cap_nrf_51822 kismet_cap_nrf_52840 kismet_cap_nrf_mousejack kismet_cap_nxp_kw41z kismet_cap_radiacode_usb kismet_cap_rz_killerbee kismet_cap_sdr_rtl433 kismet_cap_serial_radview kismet_cap_ti_cc_2531 kismet_cap_ti_cc_2540 kismet_cap_ubertooth_one"

test_kismet_capture_packages() {
    for binary in $LIST; do
	echo "Testing $binary"
	$binary --version
    done
}

###################################
# Main
###################################

for function in "$@"; do
        $function
done
